org.apache.http.conn.scheme

## Interface HostNameResolver

- Deprecated.
  (4.1) Do not use

      @Deprecated
      public interface HostNameResolver

  Hostname to IP address resolver.
  Since:
    4.0

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `InetAddress` | `resolve(String hostname)` Deprecated. Resolves given hostname to its IP address

- - ### Method Detail

    - #### resolve

          InetAddress resolve(String hostname)
                              throws IOException

      Deprecated.
      Resolves given hostname to its IP address
      Parameters:
        `hostname` - the hostname.
      Returns:
        IP address.
      Throws:
        `IOException`

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.